Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class RenderGlobal

    java.lang.Object
      net.minecraft.src.RenderGlobal

All Implemented Interfaces:
  IWorldAccess

    public class RenderGlobal

extends Object
implements IWorldAccess

Field Summary
`RenderBlocks` | `globalRenderBlocks` Global render blocks
`Minecraft` | `mc` A reference to the Minecraft object.
`RenderEngine` | `renderEngine` The RenderEngine instance used by RenderGlobal
`WorldClient` | `theWorld`
`List` | `tileEntities`

Constructor Summary
`RenderGlobal(Minecraft par1Minecraft, RenderEngine par2RenderEngine)`

Method Summary
`void` | `clipRenderersByFrustum(ICamera par1ICamera, float par2)` Checks all renderers that previously weren't in the frustum and 1/16th of those that previously were in the frustum for frustum clipping Args: frustum, partialTickTime
`void` | `destroyBlockPartially(int par1, int par2, int par3, int par4, int par5)` Starts (or continues) destroying a block with given ID at the given coordinates for the given partially destroyed value
`void` | `drawBlockBreaking(EntityPlayer par1EntityPlayer, MovingObjectPosition par2MovingObjectPosition, int par3, ItemStack par4ItemStack, float par5)`
`void` | `drawBlockDamageTexture(Tessellator par1Tessellator, EntityLiving par2EntityPlayer, float par3)`
`void` | `drawBlockDamageTexture(Tessellator par1Tessellator, EntityPlayer par2EntityPlayer, float par3)`
`void` | `drawSelectionBox(EntityPlayer par1EntityPlayer, MovingObjectPosition par2MovingObjectPosition, int par3, ItemStack par4ItemStack, float par5)` Draws the selection box for the player.
`boolean` | `func_72721_a(double par1, double par3, double par5, float par7)`
`EntityFX` | `func_72726_b(String par1Str, double par2, double par4, double par6, double par8, double par10, double par12)`
`void` | `func_72728_f()`
`void` | `func_82746_a(int par1, int par2, int par3, int par4, int par5)`
`String` | `getDebugInfoEntities()` Gets the entities info for use on the Debug screen
`String` | `getDebugInfoRenders()` Gets the render info for use on the Debug screen
`void` | `loadRenderers()` Loads all the renderers and sets up the basic settings usage
`void` | `markBlockNeedsUpdate(int par1, int par2, int par3)` Will mark the block and neighbors that their renderers need an update (could be all the same renderer potentially) Args: x, y, z
`void` | `markBlockNeedsUpdate2(int par1, int par2, int par3)` As of mc 1.2.3 this method has exactly the same signature and does exactly the same as markBlockNeedsUpdate
`void` | `markBlockRangeNeedsUpdate(int par1, int par2, int par3, int par4, int par5, int par6)` Called across all registered IWorldAccess instances when a block range is invalidated.
`void` | `markBlocksForUpdate(int par1, int par2, int par3, int par4, int par5, int par6)` Marks the blocks in the given range for update
`void` | `obtainEntitySkin(Entity par1Entity)` Start the skin for this entity downloading, if necessary, and increment its reference counter
`void` | `playAuxSFX(EntityPlayer par1EntityPlayer, int par2, int par3, int par4, int par5, int par6)` Plays a pre-canned sound effect along with potentially auxiliary data-driven one-shot behaviour (particles, etc).
`void` | `playRecord(String par1Str, int par2, int par3, int par4)` Plays the specified record.
`void` | `playSound(String par1Str, double par2, double par4, double par6, float par8, float par9)` Plays the specified sound.
`void` | `releaseEntitySkin(Entity par1Entity)` Decrement the reference counter for this entity's skin image data
`void` | `renderAllRenderLists(int par1, double par2)` Render all render lists
`void` | `renderClouds(float par1)`
`void` | `renderCloudsFancy(float par1)` Renders the 3d fancy clouds
`void` | `renderEntities(Vec3 par1Vec3, ICamera par2ICamera, float par3)` Renders all entities within range and within the frustrum.
`void` | `renderSky(float par1)` Renders the sky with the partial tick time.
`void` | `setWorldAndLoadRenderers(WorldClient par1WorldClient)` set null to clear
`int` | `sortAndRender(EntityLiving par1EntityLiving, int par2, double par3)` Sorts all renderers based on the passed in entity.
`void` | `spawnParticle(String par1Str, double par2, double par4, double par6, double par8, double par10, double par12)` Spawns a particle.
`void` | `updateClouds()`
`boolean` | `updateRenderers(EntityLiving par1EntityLiving, boolean par2)` Updates some of the renderers sorted by distance from the player

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tileEntities

    public List tileEntities

### theWorld

    public WorldClient theWorld

### renderEngine

    public final RenderEngine renderEngine

  The RenderEngine instance used by RenderGlobal

### mc

    public Minecraft mc

  A reference to the Minecraft object.

### globalRenderBlocks

    public RenderBlocks globalRenderBlocks

  Global render blocks

Constructor Detail

### RenderGlobal

    public RenderGlobal(Minecraft par1Minecraft,
                        RenderEngine par2RenderEngine)

Method Detail

### setWorldAndLoadRenderers

    public void setWorldAndLoadRenderers(WorldClient par1WorldClient)

  set null to clear

### loadRenderers

    public void loadRenderers()

  Loads all the renderers and sets up the basic settings usage

### renderEntities

    public void renderEntities(Vec3 par1Vec3,
                               ICamera par2ICamera,
                               float par3)

  Renders all entities within range and within the frustrum. Args: pos, frustrum, partialTickTime

### getDebugInfoRenders

    public String getDebugInfoRenders()

  Gets the render info for use on the Debug screen

### getDebugInfoEntities

    public String getDebugInfoEntities()

  Gets the entities info for use on the Debug screen

### sortAndRender

    public int sortAndRender(EntityLiving par1EntityLiving,
                             int par2,
                             double par3)

  Sorts all renderers based on the passed in entity. Args: entityLiving, renderPass, partialTickTime

### renderAllRenderLists

    public void renderAllRenderLists(int par1,
                                     double par2)

  Render all render lists

### updateClouds

    public void updateClouds()

### renderSky

    public void renderSky(float par1)

  Renders the sky with the partial tick time. Args: partialTickTime

### renderClouds

    public void renderClouds(float par1)

### func_72721_a

    public boolean func_72721_a(double par1,
                                double par3,
                                double par5,
                                float par7)

### renderCloudsFancy

    public void renderCloudsFancy(float par1)

  Renders the 3d fancy clouds

### updateRenderers

    public boolean updateRenderers(EntityLiving par1EntityLiving,
                                   boolean par2)

  Updates some of the renderers sorted by distance from the player

### drawBlockBreaking

    public void drawBlockBreaking(EntityPlayer par1EntityPlayer,
                                  MovingObjectPosition par2MovingObjectPosition,
                                  int par3,
                                  ItemStack par4ItemStack,
                                  float par5)

### drawBlockDamageTexture

    public void drawBlockDamageTexture(Tessellator par1Tessellator,
                                       EntityPlayer par2EntityPlayer,
                                       float par3)

### drawBlockDamageTexture

    public void drawBlockDamageTexture(Tessellator par1Tessellator,
                                       EntityLiving par2EntityPlayer,
                                       float par3)

### drawSelectionBox

    public void drawSelectionBox(EntityPlayer par1EntityPlayer,
                                 MovingObjectPosition par2MovingObjectPosition,
                                 int par3,
                                 ItemStack par4ItemStack,
                                 float par5)

  Draws the selection box for the player. Args: entityPlayer, rayTraceHit, i, itemStack, partialTickTime

### markBlocksForUpdate

    public void markBlocksForUpdate(int par1,
                                    int par2,
                                    int par3,
                                    int par4,
                                    int par5,
                                    int par6)

  Marks the blocks in the given range for update

### markBlockNeedsUpdate

    public void markBlockNeedsUpdate(int par1,
                                     int par2,
                                     int par3)

  Will mark the block and neighbors that their renderers need an update (could be all the same renderer potentially) Args: x, y, z

  Specified by:
    `markBlockNeedsUpdate` in interface `IWorldAccess`

### markBlockNeedsUpdate2

    public void markBlockNeedsUpdate2(int par1,
                                      int par2,
                                      int par3)

  As of mc 1.2.3 this method has exactly the same signature and does exactly the same as markBlockNeedsUpdate

  Specified by:
    `markBlockNeedsUpdate2` in interface `IWorldAccess`

### markBlockRangeNeedsUpdate

    public void markBlockRangeNeedsUpdate(int par1,
                                          int par2,
                                          int par3,
                                          int par4,
                                          int par5,
                                          int par6)

  Called across all registered IWorldAccess instances when a block range is invalidated. Args: minX, minY, minZ, maxX, maxY, maxZ

  Specified by:
    `markBlockRangeNeedsUpdate` in interface `IWorldAccess`

### clipRenderersByFrustum

    public void clipRenderersByFrustum(ICamera par1ICamera,
                                       float par2)

  Checks all renderers that previously weren't in the frustum and 1/16th of those that previously were in the frustum for frustum clipping Args: frustum, partialTickTime

### playRecord

    public void playRecord(String par1Str,
                           int par2,
                           int par3,
                           int par4)

  Plays the specified record. Arg: recordName, x, y, z

  Specified by:
    `playRecord` in interface `IWorldAccess`

### playSound

    public void playSound(String par1Str,
                          double par2,
                          double par4,
                          double par6,
                          float par8,
                          float par9)

  Plays the specified sound. Arg: soundName, x, y, z, volume, pitch

  Specified by:
    `playSound` in interface `IWorldAccess`

### spawnParticle

    public void spawnParticle(String par1Str,
                              double par2,
                              double par4,
                              double par6,
                              double par8,
                              double par10,
                              double par12)

  Spawns a particle. Arg: particleType, x, y, z, velX, velY, velZ

  Specified by:
    `spawnParticle` in interface `IWorldAccess`

### func_72726_b

    public EntityFX func_72726_b(String par1Str,
                                 double par2,
                                 double par4,
                                 double par6,
                                 double par8,
                                 double par10,
                                 double par12)

### obtainEntitySkin

    public void obtainEntitySkin(Entity par1Entity)

  Start the skin for this entity downloading, if necessary, and increment its reference counter

  Specified by:
    `obtainEntitySkin` in interface `IWorldAccess`

### releaseEntitySkin

    public void releaseEntitySkin(Entity par1Entity)

  Decrement the reference counter for this entity's skin image data

  Specified by:
    `releaseEntitySkin` in interface `IWorldAccess`

### func_72728_f

    public void func_72728_f()

### func_82746_a

    public void func_82746_a(int par1,
                             int par2,
                             int par3,
                             int par4,
                             int par5)

  Specified by:
    `func_82746_a` in interface `IWorldAccess`

### playAuxSFX

    public void playAuxSFX(EntityPlayer par1EntityPlayer,
                           int par2,
                           int par3,
                           int par4,
                           int par5,
                           int par6)

  Plays a pre-canned sound effect along with potentially auxiliary data-driven one-shot behaviour (particles, etc).

  Specified by:
    `playAuxSFX` in interface `IWorldAccess`

### destroyBlockPartially

    public void destroyBlockPartially(int par1,
                                      int par2,
                                      int par3,
                                      int par4,
                                      int par5)

  Starts (or continues) destroying a block with given ID at the given coordinates for the given partially destroyed value

  Specified by:
    `destroyBlockPartially` in interface `IWorldAccess`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD